Date: Wed, 30 Oct 96 16:34:36 EST
From: Paul.Heckbert@HOSTESS.GRAPHICS.CS.CMU.EDU To: andrew.willmott@cs.cmu.edu
Subject: /afs/cs.cmu.edu/project/anim-garland/paper/terrain/results/mkplot 

#!/usr/misc/bin/gnuplot

set terminal postscript eps 19
set data style lines

set xlabel "Number of Points Selected (m)" 

# offset the labels to look a little better # set xlabel 0,-.3	this doesn't work with postscript output, unfortunately
# set ylabel 3.5,0

set ylabel "Number of interpolations"
set output "dem-cost.eps"
plot "ashby-cost" title 'Ashby', \
"crater-cost" title 'Crater', \
"ntc-cost" title 'NTC',	\
"ozark-cost" title 'Ozark', \
"westUS-cost" title 'West US'

set ylabel "Swaps in heap"
set output "dem-heap.eps"
plot "ashby-heap" title 'Ashby', \
"crater-heap" title 'Crater', \
"ntc-heap" title 'NTC',	\
"ozark-heap" title 'Ozark', \
"westUS-heap" title 'West US'

# offset the labels to look a little better # set xlabel 0,-.3	this doesn't work with postscript output, unfortunately
set ylabel 3.5,0

set ylabel "Time (sec)"
set output "dem-time.eps"
plot \
"westUS-time" title 'West US', \
"ntc-time" title 'NTC',	\
"ozark-time" title 'Ozark', \
"crater-time" title 'Crater', \
"ashby-time" title 'Ashby'


################################################################# # These error plots are obsolete
#
#set output "err.eps"
#set xlabel "Number of Points Selected (m)" #set ylabel "RMS Error (meters)"
#plot "err-512" title 'NTC TIN'

#set output "maxerr.eps"
#set xlabel "Number of Points Selected (m)" #set ylabel "Absolute Difference"
#plot "max-err-512" title 'NTC TIN'
################################################################# 



set xlabel "Number of Points Selected (m)" set ylabel "Time (sec)"


set output "mntn-time.eps"
set yrange [-100:500]
plot "mntn1-time" title 'Alg. I', \
"mntn2-time" title 'Alg. II', \
"mntn3-time" title 'Alg. III'


#set output "datadep-max.eps"
#set xlabel "Number of Points Selected (m)" #set ylabel "Maximum Error (meters)"
#set yrange [0:400]
#plot "max-single" title 'Delaunay', "max-datadep" title 'Data-dependent' 

set output "datadep-rms.eps"
set xlabel "Number of Points Selected (m)" set ylabel "RMS Error"
set yrange [0:40]
# set yrange [0:120]
plot "rms-single" title 'Delaunay', "rms-datadep" title 'Data-dependent' 

set output "datadep-ratio.eps"
set xlabel "Number of Points Selected (m)" set ylabel "Data-dependent Error / Delaunay Error" set yrange [.6:1.2]
plot "rms-ratio" title 'error ratio', 1

set output "err-max.eps"
set xlabel "Number of Points Selected (m)" set ylabel "Maximum error (meters)"
set xrange [0:6000]
set yrange [0:600]
plot "max-single" title 'sequential', \
"max-8" title 'fractional (0.8)', \
"max-5" title 'fractional (0.5)', \
"max-thresh-10" title 'constant (10.0)', \ "max-thresh-1" title 'constant (1.0)'


set output "err-rms.eps"
set xlabel "Number of Points Selected (m)" set ylabel "RMS Error (meters)"
set yrange [0:90]
set xrange [0:6000]
plot \
"rms-thresh-1" title 'constant (1.0)' with lines 2, \ "rms-thresh-10" title 'constant (10.0)' with lines 6, \ "rms-subsample" title 'uniform grid subsampling' with lines 3, \ "rms-5" title 'fractional (0.5)' with lines 5, \ "rms-8" title 'fractional (0.8)' with lines 4, \ "rms-single" title 'sequential' with lines 1 set autoscale x

# from subsample/subplot5.sh
# set size 1.3,1.3
set yrange [0:10]
set output "subsample.eps"
set ylabel "RMS Error (meters)"
set label "33%" at 52131, .185 center
set label "10%" at 15639, .25 center
set label "1%" at 1564, .25 center
# carefully set the line type# for each curve so that Delaunay comes out # solid, datadep is dashed, etc. to match previous plots plot \
"subsample/oreo3/ashby.sub.dat" title 'uniform grid subsampling' with linespoints 3 3, \ "subsample/oreo3/ashby.gi.del.dat" title 'Delaunay greedy insertion' with linespoints 1 1, \ "subsample/oreo3/ashby.gi.dep.dat" title 'Data-dependent greedy insertion' with linespoints 2 2, \ "subsample/oreo3/percent.dat" title '' with points 5 5 set nolabel


# Custom plot for the technical sketch
set yrange [0:6]
set output "sketch-err.eps"
set ylabel "RMS Error (meters)"
set label "33%" at 52131, .185 center
set label "10%" at 15639, .25 center
set label "1%" at 1564, .25 center
# carefully set the line type# for each curve so that Delaunay comes out # solid, datadep is dashed, etc. to match previous plots plot \
"subsample/oreo3/ashby.sub.dat" title 'uniform grid subsampling' with linespoints 3 3, \ "subsample/oreo3/ashby.gi.del.dat" title 'Delaunay greedy insertion' with linespoints 1 1, \ "subsample/oreo3/ashby.gi.dep.dat" title 'Data-dependent greedy insertion' with linespoints 2 2, \ "subsample/oreo3/percent.dat" title '' with points 5 5 set nolabel




set autoscale # override previous xrange & yrange commands 

set output "errtime.eps"
set xlabel "Time (sec)"
set ylabel "RMS Error (meters)"
# derived from Del-errtime using label.sh set label "64" at 0.529439+0.15, 61.5733+1.5 set label "128" at 0.684233+0.15, 35.704+1.5 set label "256" at 0.911176+0.15, 23.5008+1.5 set label "512" at 1.17585+0.15, 14.3878+1.5 set label "1024" at 1.57074+0.15, 9.39859+1.5 set label "2048" at 2.23853+0.15, 5.69842+1.5 set label "4096" at 3.40997+0.15, 3.35896+1.5 # derived from Dep-errtime using label.sh set label "64" at 1.80297+0.15, 57.0212+1.5 set label "128" at 2.45076+0.15, 34.1811+1.5 set label "256" at 3.37453+0.15, 21.35+1.5 set label "512" at 4.3762+0.15, 13.4622+1.5 set label "1024" at 5.89581+0.15, 8.37583+1.5 set label "2048" at 7.8979+0.15, 4.96151+1.5 set label "4096" at 11.0302, 2.96952+2 center 
# label for 4096 was hand-tuned
plot "Del-errtime" title 'Delaunay' with linespoints, \ 
"Dep-errtime" title 'Data-dependent' with linespoints set nolabel